package cn.com.qmth.stmms.admin.dto;

import cn.com.qmth.stmms.biz.exam.model.ExamStudent;
import cn.com.qmth.stmms.common.annotation.ExcelField;
import cn.com.qmth.stmms.common.utils.DateUtils;

public class ExceptionStudentDTO {

    @ExcelField(title = "学习中心", align = 2, sort = 10)
    private String campusName;

    @ExcelField(title = "课程代码", align = 2, sort = 20)
    private String subjectCode;

    @ExcelField(title = "课程名称", align = 2, sort = 30)
    private String subjectName;

    @ExcelField(title = "准考证号", align = 2, sort = 40)
    private String examNumber;

    @ExcelField(title = "学号", align = 2, sort = 50)
    private String studentCode;

    @ExcelField(title = "姓名", align = 2, sort = 60)
    private String name;

    @ExcelField(title = "扫描批次号", align = 2, sort = 70)
    private String batchCode;

    @ExcelField(title = "上传时间", align = 2, sort = 80)
    private String uploadTime;

    public ExceptionStudentDTO(ExamStudent student) {
        setCampusName(student.getCampusName());
        setSubjectCode(student.getSubjectCode());
        setSubjectName(student.getSubjectName());
        setExamNumber(student.getExamNumber());
        setStudentCode(student.getStudentCode());
        setName(student.getName());
        setBatchCode(student.getBatchCode());
        setUploadTime(DateUtils.formatDateTime(student.getUploadTime()));
    }

    public String getCampusName() {
        return campusName;
    }

    public void setCampusName(String campusName) {
        this.campusName = campusName;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getBatchCode() {
        return batchCode;
    }

    public void setBatchCode(String batchCode) {
        this.batchCode = batchCode;
    }

    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }
}
